BackendHTTP APISyncs

Sync status

Requires an API key with the environment:syncs:read scope. Learn more about API key scopes.

The response includes the current checkpoint for each sync, which tracks how far the sync has progressed. Learn more about checkpoints.

GET
/sync/status

Get the status of specified sync(s) (for a given connection or all applicable connections if no connection is specified)

Authorization

bearerAuth
headerAuthorizationBearer <token>

An Environment API key from your Tenklo environment, or an Account API key for account-level endpoints.

Query Parameters

provider_config_key*string

The ID of the integration you established within Tenklo

syncs*string

The name of the syncs you want to fetch a status for, as a comma-separated list. Pass in "*" to return all syncs for the integration. For variants, use the format "syncName::variantName".

connection_id?string

The ID of the connection. If omitted, all connections will be surfaced.

Response Body

Successfully returned a list of syncs and their status

application/json
  1. response
syncs?array<>
Example Request
curl -X GET 'https://api.tenklo.dev/sync/status?provider_config_key=string&syncs=string'
Example Response
{  "syncs": [    {      "id": "string",      "connection_id": "string",      "name": "string",      "variant": "string",      "status": "RUNNING",      "type": "INCREMENTAL",      "finishedAt": "string",      "nextScheduledSyncAt": "string",      "frequency": "string",      "latestResult": {},      "recordCount": {},      "checkpoint": {}    }  ]}